# Funkce

- definována
	- **funkčním předpisem** ($f(x) = x^2$)
	- **definičním oborem** ($D_{f} = \mathbb{R}$)

### Definiční obor $D_{f}$

- všechny hodnoty, kterých může funkce nabývat **na ose X**
- je možné jím **funkci omezit** (např.: $D_{f} = (0, 1)$)
- zjišťuje se **hledáním** definičních oborů **jiných funkcí nebo operací** (např.: $\sqrt{ -2 }$ nebo $\frac{1}{0}$)

### Obor hodnot $H_{f}$

- všechny hodnoty, kterých může funkce nabývat **na ose Y**

### Monotonie funkce

| značka | typ             | podmínka                                                                  |
| ------ | --------------- | ------------------------------------------------------------------------- |
| **R**  | rostoucí        | $\displaystyle \forall x,y \in D_{f} : x < y \implies f(x) \leq f(y)$ |
| **K**  | klesající       | $\displaystyle \forall x,y \in D_{f} : x < y \implies f(x) \geq f(y)$ |
| **OR** | ostře rostoucí  | $\displaystyle \forall x,y \in D_{f} : x < y \implies f(x) \lt f(y)$  |
| **OK** | ostře klesající | $\displaystyle \forall x,y \in D_{f} : x < y \implies f(x) \gt f(y)$  |
| **M**  | monotónní       | je klesající nebo rostoucí                                                |
| **OM** | ostře monotónní | je ostře klesající nebo ostře rostoucí                                    |

### Symetrie

- **Sudá**
	- symetrická podle osy Y
	- $\forall x\in D_{f} :$
		- $-x \in D_{f}$
		- $f(x) = f(-x)$
- **Lichá**
	- symetrická podle bodu [0, 0]
	- $\forall x\in D_{f} :$
		- $-x \in D_{f}$
		- $f(-x) = -f(x)$

### Omezenost

| značka | typ           | podmínka                                                           |
| ------ | ------------- | ------------------------------------------------------------------ |
| **OZ** | omezená zdola | $\exists d \in \mathbb{R} : \forall x \in D_{f} \ \ \ f(x) \geq d$ |
| **OS** | omezená shora | $\exists h \in \mathbb{R} : \forall x \in D_{f} \ \ \ f(x) \leq h$ |
| **O**  | omezená       | pokud je **OZ** i **OS**                                           |

### Prostá funkce

- žádná hodnota se v oboru hodnot neopakuje
- $\forall x_{1}, x_{2} \in D_{f} : x_{1} \neq x_{2} \implies f(x_{1}) \neq f(x_{2})$

### Periodicita

- periodická funkce s periodou $T > 0$
- $\forall x \in D_{f} :$
	- $x \pm T \in D_{f}$
	- $f(x \pm T) = f(x)$

### Konvexní / konkávní

- konvexní: šťastný smajlík
- konkávní: smutný smajlík

### Inverzní funkce

- funkce, která přiřazuje prvky „opačně“ než funkce původní
- existuje pouze u funkcí **prostých**
- $f(x)=y \leftrightarrow f^{-1}(y)=x$
- vypočítáme tak, že funkci přepíšeme do rovnice ($y = 2x$) a osamostatníme x ($\frac{y}{2} = x$)

### Skládání funkcí

- zapisuje se: $f \circ g$
- funkce se skládají do sebe
	- druhá bude vložena do první $f(g(x))$

### Průběh funkce

Hrubé schéma

1. $D_f$ + limity v krajních bodech
2. spojitost na $D_f$, body nespojitosti
3. symetrie (sudá / lichá)
4. periodicita
5. znaménko $f(x)$ + průsečíky s osou $x$
6. znaménko $f'(x)$ + monotonie + extrémy
7. znaménko $f''(x)$ + konvexita/konkávita + inflexe
8. asymptoty v krajních bodech $D_f$
9. $H_f$